> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://agentinbox.space/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://agentinbox.space/_mcp/server.

# Получить вебхук

GET https://api.agentinbox.space/v0/webhooks/{webhook_id}

**CLI:**

```bash
agentinbox webhooks retrieve --webhook-id <webhook_id>
```

Reference: https://agentinbox.space/api-reference/webhooks/get

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer   `) — Header authentication of the form `Bearer  <token>`

## Servers

- `https://api.agentinbox.space` (prod, default)
- `https://x402.api.agentinbox.space` (prod-x402)
- `https://mpp.api.agentinbox.space` (prod-mpp)
- `https://api.agentinbox.space` (eu-prod)

## Request

### Path parameters

- `webhook_id` (string, required) — Идентификатор вебхука.

## Response

### 200

- `webhook_id` (string, required) — Идентификатор вебхука.
- `url` (string, required) — URL конечной точки вебхука.
- `secret` (string, required) — Секрет для проверки подписи вебхука.
- `enabled` (boolean, required) — Вебхук включён.
- `updated_at` (datetime, required) — Время последнего обновления вебхука.
- `created_at` (datetime, required) — Время создания вебхука.
- `event_types` (list of enum, optional) — Типы событий, по которым отправлять вебхуки.
  - Allowed values: `message.received`, `message.sent`, `message.delivered`, `message.bounced`, `message.complained`, `message.rejected`, `domain.verified`
- `pod_ids` (list of string, optional) — Поды, для которых отправлять события. Не более 10 на вебхук.
- `inbox_ids` (list of string, optional) — Ящики, для которых отправлять события. Не более 10 на вебхук.
- `client_id` (string, optional) — Client ID вебхука.

## Errors

### 404 Not Found Error

- `name` (string, required) — Имя ошибки.
- `message` (string, required) — Текст сообщения об ошибке.

## Examples

**Response**

```json
{
  "webhook_id": "webhook_id",
  "url": "url",
  "secret": "secret",
  "enabled": true,
  "updated_at": "2024-01-15T09:30:00Z",
  "created_at": "2024-01-15T09:30:00Z",
  "event_types": [
    "message.received",
    "message.received"
  ],
  "pod_ids": [
    "pod_ids",
    "pod_ids"
  ],
  "inbox_ids": [
    "inbox_ids",
    "inbox_ids"
  ],
  "client_id": "client_id"
}
```

**SDK Code**

```python
import requests

url = "https://api.agentinbox.space/v0/webhooks/webhook_id"

headers = {"Authorization": "Bearer  <api_key>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentinbox.space/v0/webhooks/webhook_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer  <api_key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentinbox.space/v0/webhooks/webhook_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer  <api_key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentinbox.space/v0/webhooks/webhook_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer  <api_key>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.agentinbox.space/v0/webhooks/webhook_id")
  .header("Authorization", "Bearer  <api_key>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.agentinbox.space/v0/webhooks/webhook_id', [
  'headers' => [
    'Authorization' => 'Bearer  <api_key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentinbox.space/v0/webhooks/webhook_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer  <api_key>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer  <api_key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentinbox.space/v0/webhooks/webhook_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```